<?php
/**
 * 2013 - 2021 PayPlug SAS
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0).
 * It is available through the world-wide-web at this URL:
 * https://opensource.org/licenses/osl-3.0.php
 * If you are unable to obtain it through the world-wide-web, please send an email
 * to contact@payplug.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PayPlug module to newer
 * versions in the future.
 *
 *  @author    PayPlug SAS
 *  @copyright 2013 - 2021 PayPlug SAS
 *  @license   https://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 *  International Registered Trademark & Property of PayPlug SAS
 */

require_once(dirname(__FILE__).'./../../../../config/config.inc.php');
require_once(_PS_MODULE_DIR_.'../init.php');
require_once(_PS_MODULE_DIR_.'/payplug/classes/PayplugBackward.php');
require_once(_PS_MODULE_DIR_.'/payplug/payplug.php');
require_once(_PS_MODULE_DIR_.'/payplug/lib/init.php');

include(_PS_MODULE_DIR_.'../header.php');

$payplug = Module::getInstanceByName('payplug');
$payplug->initializeApi();

$valid_key = $payplug->getAPIKey();
\Payplug\Payplug::setSecretKey($valid_key);

if (version_compare(_PS_VERSION_, '1.5', '<')) {
    $context = $payplug->context;
} else {
    $context = Context::getContext();
}

$payplug_card = new PayPlugCard();
$payplug_cards = $payplug_card->getByCustomer($context->customer);

$payplug_delete_card_url = PayplugBackward::getModuleLink('payplug', 'ajax', array('_ajax' => 1), true);

$context->smarty->assign(array(
    'payplug_cards' => $payplug_cards,
    'payplug_delete_card_url' => $payplug_delete_card_url,
    'version' => 1.4
));
echo $payplug->display('payplug', '/views/templates/front/cards_list.tpl');

include(_PS_MODULE_DIR_.'../footer.php');
